Bug 753100 - pkgdb-cli depends on python-bugzilla
Summary: pkgdb-cli depends on python-bugzilla
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: packagedb-cli
Version: 16
Hardware: All
OS: All
unspecified
low
Target Milestone: ---
Assignee: Pierre-YvesChibon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-11-11 10:56 UTC by Emmanuel Seyman
Modified: 2011-11-30 01:57 UTC (History)
1 user (show)

Fixed In Version: packagedb-cli-1.1.0-2.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-23 23:28:32 UTC
Type: ---


Attachments (Terms of Use)

Description Emmanuel Seyman 2011-11-11 10:56:03 UTC
Description of problem:
pkgdb-cli uses the python bugzilla module but does not depend on it.

Version-Release number of selected component (if applicable):
1.1.0-1

How reproducible:
Always

Steps to Reproduce:
1. run "yum install packagedb-cli"
2. run "pkgdb-cli --help"
3. read the error message
  
Actual results:
Traceback (most recent call last):
  File "/usr/bin/pkgdb-cli", line 19, in <module>
    from bugzilla.rhbugzilla import RHBugzilla3
ImportError: No module named bugzilla.rhbugzilla

Expected results:
the usage explanation for pkgdb-cli

Additional info:
Google keeps giant lawn statues of desserts (those representing a Android version) on its lawn.

Comment 1 Fedora Update System 2011-11-11 15:11:52 UTC
packagedb-cli-1.1.0-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/packagedb-cli-1.1.0-2.el5

Comment 2 Fedora Update System 2011-11-11 15:12:00 UTC
packagedb-cli-1.1.0-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/packagedb-cli-1.1.0-2.fc14

Comment 3 Fedora Update System 2011-11-11 15:12:07 UTC
packagedb-cli-1.1.0-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/packagedb-cli-1.1.0-2.fc16

Comment 4 Fedora Update System 2011-11-11 15:12:14 UTC
packagedb-cli-1.1.0-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/packagedb-cli-1.1.0-2.el6

Comment 5 Fedora Update System 2011-11-11 15:12:22 UTC
packagedb-cli-1.1.0-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/packagedb-cli-1.1.0-2.fc15

Comment 6 Fedora Update System 2011-11-11 19:54:57 UTC
Package packagedb-cli-1.1.0-2.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing packagedb-cli-1.1.0-2.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2011-4951
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2011-11-23 23:28:32 UTC
packagedb-cli-1.1.0-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2011-11-23 23:31:18 UTC
packagedb-cli-1.1.0-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-11-29 19:02:33 UTC
packagedb-cli-1.1.0-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-11-29 19:03:01 UTC
packagedb-cli-1.1.0-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-11-30 01:57:54 UTC
packagedb-cli-1.1.0-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.